/**********************************************************\
|                                                          |
| The implementation of PHPRPC Protocol 3.0                |
|                                                          |
| PHPRPC_Error.cs                                          |
|                                                          |
| Release 3.0.2                                            |
| Copyright by Team-PHPRPC                                 |
|                                                          |
| WebSite:  http://www.phprpc.org/                         |
|           http://www.phprpc.net/                         |
|           http://www.phprpc.com/                         |
|           http://sourceforge.net/projects/php-rpc/       |
|                                                          |
| Authors:  Ma Bingyao <andot@ujn.edu.cn>                  |
|                                                          |
| This file may be distributed and/or modified under the   |
| terms of the GNU Lesser General Public License (LGPL)    |
| version 3.0 as published by the Free Software Foundation |
| and appearing in the included file LICENSE.              |
|                                                          |
\**********************************************************/

/* PHPRPC Error class.
 *
 * Copyright: Ma Bingyao <andot@ujn.edu.cn>
 * Version: 3.0
 * LastModified: Feb 2, 2009
 * This library is free.  You can redistribute it and/or modify it.
 */

namespace org.phprpc {
    using System;

    [Serializable]
    public class PHPRPC_Error : SystemException {
        private Int32 number;

        internal PHPRPC_Error()
            : base() {
            this.number = 0;
        }

        internal PHPRPC_Error(Int32 number, String message)
            : base(message) {
            this.number = number;
        }

        public Int32 Number {
            get {
                return this.number;
            }
        }
        public override String ToString() {
            return number + ":" + Message;
        }
    }
}